API reference_generatedcontacts/id
/contacts/{id}
Get a single contact by ID.
AuthorizationBearer <token>
Better Auth session access token (OAuth 2.1) from the webapp or mobile app. Send as Authorization: Bearer <access_token>.
In: header
Path Parameters
id*string
Contact person UUID
Format
uuidQuery Parameters
avatarQuality?string
Value in
- "low"
- "medium"
- "high"
avatarSize?string
Value in
- "small"
- "medium"
- "large"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/contacts/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "contact": { "firstName": "Ada", "id": "550e8400-e29b-41d4-a716-446655440000", "lastName": "Lovelace", "userId": "6ba7b810-9dad-11d1-80b4-00c04fd430c8", "addresses": null, "avatar": null, "createdAt": "2026-01-15T12:00:00.000Z", "emails": [ { "preferred": true, "type": "work", "value": "ada.lovelace@example.com" } ], "facebook": null, "gisPoint": null, "headline": "Mathematician", "importantDates": null, "instagram": null, "keepFrequencyDays": 90, "language": "en", "lastInteraction": "2026-01-15T12:00:00.000Z", "lastInteractionActivityId": null, "latitude": 51.5074, "linkedin": "https://linkedin.com/in/ada-lovelace", "location": "London, UK", "longitude": -0.1278, "middleName": null, "myself": false, "notes": null, "notesUpdatedAt": null, "phones": [ { "preferred": true, "prefix": "+44", "type": "home", "value": "2079460958" } ], "position": null, "signal": null, "timezone": "Europe/London", "updatedAt": "2026-01-15T12:00:00.000Z", "website": "https://example.com", "whatsapp": null }}